/*****************************************************************************
/*
/*            INSTITUTO NACIONAL PARA LA EVALUACIN DE LA EDUCACIN
/*             UNIDAD DE EVALUACIN DEL SISTEMA EDUCATIVO NACIONAL
/*             DIRECCIN GENERAL DE MEDICIN Y TRATAMIENTO DE DATOS
/*
/*                      DIRECCIN DE TRATAMIENTO DE DATOS
/*
/*_____________________________________________________________________________
/*
/*            EXAMENES DE LA CALIDAD Y EL LOGRO EDUCATIVOS (Excale)
/*                     SEXTO GRADO DE PRIMARIA (Excale 06)
/*
/*                         **** DOCENTES CONTEXTO ****
/*
/*                     Ciclo escolar evaluado: 2012 - 2013
/*_____________________________________________________________________________
/*
/*
/*       PROGRAMA PARA CONSTRUIR LA BASE DE DATOS DE DOCENTES DE CONTEXTO
/*                                EN FORMATO SAS
/*_____________________________________________________________________________
/*
/*  El programa convierte al archivo Excale06_2013_Doc_Cuest.txt, el cual est en
/*  formato ASCII, en una base de datos en formato SAS. El programa realiza las
/*  siguientes tareas:
/*   - Declara formatos para algunas variables
/*   - Lee las variables del archivo en formato ASCII
/*   - Declara los valores considerados en el anlisis como perdidos (missing values)
/*
/* INSTRUCCIONES
/*  Para construir la base de datos (tabla de datos) es necesario:
/*      1) Crear una carpeta de trabajo y colocar en ella al archivo Excale06_2013_Doc_Cuest.txt
/*         as como el archivo Excale06_2013_Doc_Cuest.SAS (este archivo) los cules se pueden
/*         descargar del sitio web del INEE (www.inee.edu.mx).
/*      2) Modificar la primera y segunda lnea de los comandos de este archivo
/*         (libname y filename) para actualizar el nombre de la librera y el archivo
/*         de trabajo.
/*      3) Ejecutar el programa del archivo.
/*
/*  Al finalizar, se deber contar con la base de datos (tabla de datos) Excale06_2013_Doc_Cuest.sas7bdat
/*
/*  Posteriormente, cuando se desee utilizar nuevamente la base Excale06_2013_Doc_Cuest.sas7bdat,
/*  se deber ejecutar primero el procedimiento FORMAT ("proc FORMAT") de este programa para que
/*  SAS cargue los formatos necesarios para abrir la base.
/*
/* CONTACTO:
/*
/*      Para mayor informacin o aclaracin de dudas favor de contactar a la
/*      Subdireccin de Anlisis del Instituto
/*      Correo electrnico: excale.analisis@inee.edu.mx
/*      Tel 5482 0900 Ext. 32025
/*      Domicilio: Av. Barranca del Muerto no. 341, 3er piso. Col. San Jos Insurgentes
/*                 Del. Benito Jurez. Mxico. D.F.
/*
/* FECHA DE LIBERACIN: 12 DE DICIEMBRE DEL 2014
/*
/*  ****************************************************************************/


LIBNAME  INEE  "C:\***\";
FILENAME doc   "C:\***\Excale06_2013_Doc_Cuest.TXT";

PROC FORMAT;
     VALUE id_entF     1         = "Aguascalientes"
                       2         = "Baja California"
                       3         = "Baja California Sur"
                       4         = "Campeche"
                       5         = "Coahuila"
                       6         = "Colima"
                       7         = "Chiapas"
                       8         = "Chihuahua"
                       9         = "Distrito Federal"
                       10        = "Durango"
                       11        = "Guanajuato"
                       12        = "Guerrero"
                       13        = "Hidalgo"
                       14        = "Jalisco"
                       15        = "Mxico"
                       16        = "Michoacn"
                       17        = "Morelos"
                       18        = "Nayarit"
                       19        = "Nuevo Len"
                       20        = "Oaxaca"
                       21        = "Puebla"
                       22        = "Quertaro"
                       23        = "Quintana Roo"
                       24        = "San Luis Potos"
                       25        = "Sinaloa"
                       26        = "Sonora"
                       27        = "Tabasco"
                       28        = "Tamaulipas"
                       29        = "Tlaxcala"
                       30        = "Veracruz"
                       31        = "Yucatn"
                       32        = "Zacatecas";
     VALUE id_modF     1         = "Urbana Pblica"
                       2         = "Rural Pblica"
                       3         = "Educacin Indgena"
                       4         = "Curso Comunitario"
                       5         = "Privada"
                       6         = "General"
                       7         = "Tcnica"
                       8         = "Telesecundaria"
                       9         = "Privada";
     VALUE $modF       "UP"      = "Urbano Pblico"
                       "RP"      = "Rural Pblico"
                       "EI"      = "Educacin Indgena"
                       "CC"      = "Cursos Comunitarios"
                       "UPV"     = "Privados"
                       "GRAL"    = "General"
                       "TEC"     = "Tcnica"
                       "TV"      = "Telesecundaria"
                       "PRIV"    = "Privada";
     VALUE $entestF    "999"     ="Respuesta omitida";
     VALUE PP001F      1         = "Hombre"
                       2         = "Mujer"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE PP002F      1         = "29 o menos"
                       2         = "Entre 30 y 39"
                       3         = "Entre 40 y 49"
                       4         = "50 o ms"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE PP003F      1         = "Bachillerato o carrera tcnica"
                       2         = "Normal bsica"
                       3         = "Normal superior o Licenciatura en educacin"
                       4         = "Otra licenciatura"
                       5         = "Posgrado"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE PP004F      1         = "2 o menos"
                       2         = "Entre 3 y 10"
                       3         = "Entre 11 y 15"
                       4         = "16 o ms"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE PP005F      1         = "10 o menos"
                       2         = "Entre 11 y 25"
                       3         = "Entre 26 y 31"
                       4         = "Entre 32 y 48"
                       5         = "49 o ms"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE PP006F      1         = "S"
                       0         = "No"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE PP007F      1         = "Uno"
                       2         = "Dos"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE PP08_10F    1         = "S"
                       0         = "No"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE PP011F      0         = "Ninguno"
                       1         = "1 o 2"
                       2         = "3 o ms"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE PP012F      0         = "Nunca o casi nunca"
                       1         = "Pocas veces"
                       2         = "Muchas veces"
                       3         = "Siempre o casi siempre"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE PP013F      0         = "Muy pocos (menos de la cuarta parte)"
                       1         = "Pocos (alrededor de una cuarta parte)"
                       2         = "Muchos (alrededor de la mitad)"
                       3         = "Casi todos (alrededor de tres cuartas partes o ms"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE PP14_17F    0         = "Ningn da"
                       1         = "1 da"
                       2         = "2 das"
                       3         = "3 das"
                       4         = "4 das"
                       5         = "5 das"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE PP18_33F    0         = "Nunca o casi nunca"
                       1         = "Pocas veces"
                       2         = "Muchas veces"
                       3         = "Siempre o casi siempre"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE PP034F      1         = "50% o menos"
                       2         = "60 a 70%"
                       3         = "80%"
                       4         = "90 a 100%"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE PP035F      1         = "Cubrir todos los contenidos"
                       2         = "El programa es demasiado extenso"
                       3         = "Fue necesario retomar contenidos de grados anteriores"
                       4         = "Se omitieron contenidos por considerarse irrelevantes"
                       5         = "Hubo demasiada suspensin de clases"
                       6         = "Caractersticas de los alumnos"
                       7         = "Falta de materiales"
                       8         = "Otra"
                       98        = "Respuesta mltiple"
                       99        = "Respuesta omitida";
     VALUE PP036F      0         = "No, solamente hay alumnos de sexto grado"
                       1         = "S, es un grupo multigrado"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
     VALUE PP37_XF     1         = "S"
                       0         = "No"
                       8         = "Respuesta mltiple"
                       9         = "Respuesta omitida";
RUN;



DATA INEE.Excale06_2013_Doc_Cuest;
   LENGTH
       NACIONAL           3
       ESCUELA            4
       ID_ENT             3
       NOM_ENT            $19
       ID_MOD             3
       MOD                $4
       ESTRATO            $7
       ENTEST             $6
       ID_INSTR           $12
       W_DOC              8
       DOCENTE            5
       PP001              3
       PP002              3
       PP003              3
       PP004              3
       PP005              3
       PP006              3
       PP007              3
       PP008              3
       PP009              3
       PP010              3
       PP011              3
       PP012              3
       PP013              3
       PP014              3
       PP015              3
       PP016              3
       PP017              3
       PP018              3
       PP019              3
       PP020              3
       PP021              3
       PP022              3
       PP023              3
       PP024              3
       PP025              3
       PP026              3
       PP027              3
       PP028              3
       PP029              3
       PP030              3
       PP031              3
       PP032              3
       PP033              3
       PP034              3
       PP035              3
       PP036              3
       PP037_1            3
       PP037_2            3
       PP037_3            3
       PP037_4            3
       PP037_5            3
       PP037_6            3
       WVARSTRR           3
       W_FSTR1            8
       W_FSTR2            8
       W_FSTR3            8
       W_FSTR4            8
       W_FSTR5            8
       W_FSTR6            8
       W_FSTR7            8
       W_FSTR8            8
       W_FSTR9            8
       W_FSTR10           8
       W_FSTR11           8
       W_FSTR12           8
       W_FSTR13           8
       W_FSTR14           8
       W_FSTR15           8
       W_FSTR16           8
       W_FSTR17           8
       W_FSTR18           8
       W_FSTR19           8
       W_FSTR20           8
       W_FSTR21           8
       W_FSTR22           8
       W_FSTR23           8
       W_FSTR24           8
       W_FSTR25           8
       W_FSTR26           8
       W_FSTR27           8
       W_FSTR28           8
       W_FSTR29           8
       W_FSTR30           8
       W_FSTR31           8
       W_FSTR32           8
       W_FSTR33           8
       W_FSTR34           8
       W_FSTR35           8
       W_FSTR36           8
       W_FSTR37           8
       W_FSTR38           8
       W_FSTR39           8
       W_FSTR40           8
       W_FSTR41           8
       W_FSTR42           8
       W_FSTR43           8
       W_FSTR44           8
       W_FSTR45           8
       W_FSTR46           8
       W_FSTR47           8
       W_FSTR48           8
       W_FSTR49           8
       W_FSTR50           8
       W_FSTR51           8
       W_FSTR52           8
       W_FSTR53           8
       W_FSTR54           8
       W_FSTR55           8
       W_FSTR56           8
       W_FSTR57           8
       W_FSTR58           8
       W_FSTR59           8
       W_FSTR60           8
       W_FSTR61           8
       W_FSTR62           8
       W_FSTR63           8
       W_FSTR64           8
       W_FSTR65           8
       W_FSTR66           8
       W_FSTR67           8
       W_FSTR68           8
       W_FSTR69           8
       W_FSTR70           8
       W_FSTR71           8
       W_FSTR72           8
       W_FSTR73           8
       W_FSTR74           8
       W_FSTR75           8
       W_FSTR76           8
       W_FSTR77           8
       W_FSTR78           8
       W_FSTR79           8
       W_FSTR80           8
       W_FSTR81           8
       W_FSTR82           8
       W_FSTR83           8
       W_FSTR84           8
       W_FSTR85           8
       W_FSTR86           8
       W_FSTR87           8
       W_FSTR88           8
       W_FSTR89           8
       W_FSTR90           8
       W_FSTR91           8
       W_FSTR92           8
       W_FSTR93           8
       W_FSTR94           8
       W_FSTR95           8
       W_FSTR96           8
       W_FSTR97           8
       W_FSTR98           8
       W_FSTR99           8
       W_FSTR100          8
 ;

 INFILE doc MISSOVER LINESIZE = 1217;
   INPUT
       NACIONAL          1 - 1
       ESCUELA           2 - 5
       ID_ENT            6 - 7
       NOM_ENT           8 - 26
       ID_MOD           27 - 27
       MOD              28 - 30
       ESTRATO          31 - 37
       ENTEST           38 - 43
       ID_INSTR         44 - 55
       W_DOC            56 - 66
       DOCENTE          67 - 71
       PP001            72 - 72
       PP002            73 - 73
       PP003            74 - 74
       PP004            75 - 75
       PP005            76 - 76
       PP006            77 - 77
       PP007            78 - 78
       PP008            79 - 79
       PP009            80 - 80
       PP010            81 - 81
       PP011            82 - 82
       PP012            83 - 83
       PP013            84 - 84
       PP014            85 - 85
       PP015            86 - 86
       PP016            87 - 87
       PP017            88 - 88
       PP018            89 - 89
       PP019            90 - 90
       PP020            91 - 91
       PP021            92 - 92
       PP022            93 - 93
       PP023            94 - 94
       PP024            95 - 95
       PP025            96 - 96
       PP026            97 - 97
       PP027            98 - 98
       PP028            99 - 99
       PP029           100 - 100
       PP030           101 - 101
       PP031           102 - 102
       PP032           103 - 103
       PP033           104 - 104
       PP034           105 - 105
       PP035           106 - 107
       PP036           108 - 108
       PP037_1         109 - 109
       PP037_2         110 - 110
       PP037_3         111 - 111
       PP037_4         112 - 112
       PP037_5         113 - 113
       PP037_6         114 - 114
       WVARSTRR        115 - 117
       W_FSTR1         118 - 128
       W_FSTR2         129 - 139
       W_FSTR3         140 - 150
       W_FSTR4         151 - 161
       W_FSTR5         162 - 172
       W_FSTR6         173 - 183
       W_FSTR7         184 - 194
       W_FSTR8         195 - 205
       W_FSTR9         206 - 216
       W_FSTR10        217 - 227
       W_FSTR11        228 - 238
       W_FSTR12        239 - 249
       W_FSTR13        250 - 260
       W_FSTR14        261 - 271
       W_FSTR15        272 - 282
       W_FSTR16        283 - 293
       W_FSTR17        294 - 304
       W_FSTR18        305 - 315
       W_FSTR19        316 - 326
       W_FSTR20        327 - 337
       W_FSTR21        338 - 348
       W_FSTR22        349 - 359
       W_FSTR23        360 - 370
       W_FSTR24        371 - 381
       W_FSTR25        382 - 392
       W_FSTR26        393 - 403
       W_FSTR27        404 - 414
       W_FSTR28        415 - 425
       W_FSTR29        426 - 436
       W_FSTR30        437 - 447
       W_FSTR31        448 - 458
       W_FSTR32        459 - 469
       W_FSTR33        470 - 480
       W_FSTR34        481 - 491
       W_FSTR35        492 - 502
       W_FSTR36        503 - 513
       W_FSTR37        514 - 524
       W_FSTR38        525 - 535
       W_FSTR39        536 - 546
       W_FSTR40        547 - 557
       W_FSTR41        558 - 568
       W_FSTR42        569 - 579
       W_FSTR43        580 - 590
       W_FSTR44        591 - 601
       W_FSTR45        602 - 612
       W_FSTR46        613 - 623
       W_FSTR47        624 - 634
       W_FSTR48        635 - 645
       W_FSTR49        646 - 656
       W_FSTR50        657 - 667
       W_FSTR51        668 - 678
       W_FSTR52        679 - 689
       W_FSTR53        690 - 700
       W_FSTR54        701 - 711
       W_FSTR55        712 - 722
       W_FSTR56        723 - 733
       W_FSTR57        734 - 744
       W_FSTR58        745 - 755
       W_FSTR59        756 - 766
       W_FSTR60        767 - 777
       W_FSTR61        778 - 788
       W_FSTR62        789 - 799
       W_FSTR63        800 - 810
       W_FSTR64        811 - 821
       W_FSTR65        822 - 832
       W_FSTR66        833 - 843
       W_FSTR67        844 - 854
       W_FSTR68        855 - 865
       W_FSTR69        866 - 876
       W_FSTR70        877 - 887
       W_FSTR71        888 - 898
       W_FSTR72        899 - 909
       W_FSTR73        910 - 920
       W_FSTR74        921 - 931
       W_FSTR75        932 - 942
       W_FSTR76        943 - 953
       W_FSTR77        954 - 964
       W_FSTR78        965 - 975
       W_FSTR79        976 - 986
       W_FSTR80        987 - 997
       W_FSTR81        998 - 1008
       W_FSTR82       1009 - 1019
       W_FSTR83       1020 - 1030
       W_FSTR84       1031 - 1041
       W_FSTR85       1042 - 1052
       W_FSTR86       1053 - 1063
       W_FSTR87       1064 - 1074
       W_FSTR88       1075 - 1085
       W_FSTR89       1086 - 1096
       W_FSTR90       1097 - 1107
       W_FSTR91       1108 - 1118
       W_FSTR92       1119 - 1129
       W_FSTR93       1130 - 1140
       W_FSTR94       1141 - 1151
       W_FSTR95       1152 - 1162
       W_FSTR96       1163 - 1173
       W_FSTR97       1174 - 1184
       W_FSTR98       1185 - 1195
       W_FSTR99       1196 - 1206
       W_FSTR100      1207 - 1217
 ;

   LABEL
       NACIONAL     = "Variable auxiliar para obtener promedios nacionales"
       ESCUELA      = "Identificador de la escuela"
       ID_ENT       = "Entidad federativa (identificador numrico)"
       NOM_ENT      = "Entidad federativa"
       ID_MOD       = "Estrato escolar o Modalidad educativa (identificador numrico)"
       MOD          = "Estrato escolar o Modalidad educativa"
       ESTRATO      = "Estrato de muestreo. Se construy con ENTIDAD, MODALIDAD Y MARGINALIDAD. No es comn a todas las tablas pues en algunos casos se colapsaron registros"
       ENTEST       = "Estratos del diseo muestral con el que se estiman los parmetros y errores estndar (Entidad federativa-Modalidad-Densidad de poblacin)"
       ID_INSTR     = "Identificador del cuestionario"
       W_DOC        = "Peso muestral o ponderador del docente"
       DOCENTE      = "Identificador del docente"
       PP001        = "Es usted hombre o mujer?"
       PP002        = "Cuntos aos cumplidos tiene?"
       PP003        = "Cul es su nivel mximo de estudios?"
       PP004        = "Contando este ciclo escolar cuntos aos tiene trabajando como profesor de primaria?"
       PP005        = "Cuntos alumnos tiene a su cargo en esta escuela?"
       PP006        = "Est usted a cargo de este grupo desde el inicio del ciclo escolar?"
       PP007        = "Cuntos turnos trabaja como docente?"
       PP008        = "Adems de su trabajo frente a grupo tiene otro empleo permanente por el cual reciba remuneracin?"
       PP009        = "Est usted incorporado a Carrera Magisterial en esta o en otra escuela?"
       PP010        = "Est usted incorporado a algn programa de estmulos diferente a Carrera Magisterial (programas estatales, programas del plantel, etc.)?"
       PP011        = "En esta escuela cuntos das de clases se suspendieron de manera no oficial en este ciclo escolar?"
       PP012        = "Los padres de sus alumnos llevan a cabo las sugerencias que usted les hace con respecto a sus hijos?"
       PP013        = "En una semana normal, cuntos padres de familia se acercan a hablar con usted?"
       PP014        = "Cuntos das de la semana algn padre o madre de sus alumnos se acerca a usted para tratar las siguientes cosas: Preguntar sobre el avance de sus hijos"
       PP015        = "Cuntos das de la semana algn padre o madre de sus alumnos se acerca a usted para tratar las siguientes cosas: Darle algn aviso"
       PP016        = "Cuntos das de la semana algn padre o madre de sus alumnos se acerca a usted para tratar las siguientes cosas: Hacerle sugerencias para apoyar a su hijo"
       PP017        = "Cuntos das de la semana algn padre o madre de sus alumnos se acerca a usted para tratar las siguientes cosas: Reclamar algo"
       PP018        = "Cuenta con el apoyo de sus colegas para realizar su trabajo diario?"
       PP019        = "Existe una buena comunicacin entre los maestros(as)?"
       PP020        = "Existe un clima de confianza entre los maestros(as)?"
       PP021        = "Los maestros(as) llegan a acuerdos comunes para trabajar con los alumnos?"
       PP022        = "Se suscitan conflictos serios entre los maestros(as)?"
       PP023        = "Es eficaz para resolver los problemas que surgen en su plantel?"
       PP024        = "Le brinda orientacin tcnico-pedaggica cuando la necesita?"
       PP025        = "Busca opciones para atender a nios con problemticas particulares?"
       PP026        = "Implementa estrategias para mejorar el rendimiento escolar de los alumnos?"
       PP027        = "Promueve la comunicacin con los padres de familia?"
       PP028        = "Busca opciones para atender las necesidades pedaggicas de los docentes?"
       PP029        = "En esta escuela se toma en cuenta la opinin del colectivo docente para... asignar grados y grupos?"
       PP030        = "En esta escuela se toma en cuenta la opinin del colectivo docente para... definir las actividades de desarrollo profesional?"
       PP031        = "En esta escuela se toma en cuenta la opinin del colectivo docente para... definir las mejoras a realizarse en el edificio escolar?"
       PP032        = "En esta escuela se toma en cuenta la opinin del colectivo docente para... solucionar problemas acadmicos y de disciplina?"
       PP033        = "En esta escuela se toma en cuenta la opinin del colectivo docente para... definir aspectos tcnico-pedaggicos?"
       PP034        = "Qu porcentaje de los contenidos establecidos por el programa SEP para sexto grado considera que cubrir en este ciclo escolar?"
       PP035        = "A que razn atribuye principalmente que no se cubran todos los contenidos?"
       PP036        = "En este grupo ensea simultneamente a alumnos de distintos grados?"
       PP037_1      = "Marque los grados que imparte de forma simultnea en este grupo: Primero"
       PP037_2      = "Marque los grados que imparte de forma simultnea en este grupo: Segundo"
       PP037_3      = "Marque los grados que imparte de forma simultnea en este grupo: Tercero"
       PP037_4      = "Marque los grados que imparte de forma simultnea en este grupo: Cuarto"
       PP037_5      = "Marque los grados que imparte de forma simultnea en este grupo: Quinto"
       PP037_6      = "Marque los grados que imparte de forma simultnea en este grupo: Sexto"
       WVARSTRR     = "Identificador del pseudoestrato (1 a 100) definido para el clculo de errores estndar con el mtodo de remuestreo BRR"
       W_FSTR1      = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR2      = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR3      = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR4      = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR5      = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR6      = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR7      = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR8      = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR9      = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR10     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR11     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR12     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR13     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR14     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR15     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR16     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR17     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR18     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR19     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR20     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR21     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR22     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR23     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR24     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR25     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR26     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR27     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR28     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR29     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR30     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR31     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR32     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR33     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR34     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR35     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR36     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR37     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR38     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR39     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR40     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR41     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR42     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR43     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR44     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR45     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR46     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR47     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR48     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR49     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR50     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR51     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR52     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR53     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR54     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR55     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR56     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR57     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR58     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR59     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR60     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR61     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR62     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR63     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR64     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR65     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR66     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR67     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR68     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR69     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR70     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR71     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR72     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR73     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR74     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR75     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR76     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR77     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR78     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR79     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR80     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR81     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR82     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR83     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR84     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR85     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR86     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR87     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR88     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR89     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR90     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR91     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR92     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR93     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR94     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR95     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR96     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR97     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR98     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR99     = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
       W_FSTR100    = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
 ;




 FORMAT
        NACIONAL           1.
        ESCUELA            4.
        ID_ENT             id_entF.
        NOM_ENT            $char19.
        ID_MOD             id_modF.
        MOD                $modF.
        ESTRATO            $char7.
        ENTEST             $entestF.
        ID_INSTR           $char12.
        DOCENTE            5.
        PP001              PP001F.
        PP002              PP002F.
        PP003              PP003F.
        PP004              PP004F.
        PP005              PP005F.
        PP006              PP006F.
        PP007              PP007F.
        PP008              PP08_10F.
        PP009              PP08_10F.
        PP010              PP08_10F.
        PP011              PP011F.
        PP012              PP012F.
        PP013              PP013F.
        PP014              PP14_17F.
        PP015              PP14_17F.
        PP016              PP14_17F.
        PP017              PP14_17F.
        PP018              PP18_33F.
        PP019              PP18_33F.
        PP020              PP18_33F.
        PP021              PP18_33F.
        PP022              PP18_33F.
        PP023              PP18_33F.
        PP024              PP18_33F.
        PP025              PP18_33F.
        PP026              PP18_33F.
        PP027              PP18_33F.
        PP028              PP18_33F.
        PP029              PP18_33F.
        PP030              PP18_33F.
        PP031              PP18_33F.
        PP032              PP18_33F.
        PP033              PP18_33F.
        PP034              PP034F.
        PP035              PP035F.
        PP036              PP036F.
        PP037_1            PP37_XF.
        PP037_2            PP37_XF.
        PP037_3            PP37_XF.
        PP037_4            PP37_XF.
        PP037_5            PP37_XF.
        PP037_6            PP37_XF.

 ;


/**************************************************************************
/*  Definicin de valores perdidos
/*   .M o M = Respuesta Mltiple.
/*   .S o S = Respuesta omitida (No contestado).
/*************************************************************************/
   IF  entest = "999" THEN  entest = .S;
   IF  PP035 = "98" THEN  PP035 = .M;
   IF  PP035 = "99" THEN  PP035 = .S;



   ARRAY perdidos1(41)
                   PP001 PP002 PP003 PP004 PP005 PP006 PP007 PP008 PP009 PP010
                   PP011 PP012 PP013 PP014 PP015 PP016 PP017 PP018 PP019 PP020
                   PP021 PP022 PP023 PP024 PP025 PP026 PP027 PP028 PP029 PP030
                   PP031 PP032 PP033 PP034 PP036 PP037_1 PP037_2 PP037_3 PP037_4
                   PP037_5 PP037_6;
   DO  i=1 TO 41;
          IF perdidos1{i} = 8   THEN  perdidos1{i} = .M;
          IF perdidos1{i} = 9   THEN  perdidos1{i} = .S;
   END;


   drop i;
RUN;



